entire profile set directory (.mozilla/firefox) keeps on getting nuked

RESOLVED INCOMPLETE

Status

()

Firefox
Untriaged
RESOLVED INCOMPLETE
6 years ago
3 years ago

People

(Reporter: Shaya Potter, Unassigned)

Tracking

13 Branch
x86
Linux
Points:
---

Firefox Tracking Flags

(Not tracked)

Details

(Reporter)

Description

6 years ago
User Agent: Mozilla/5.0 (X11; Linux i686) AppleWebKit/535.19 (KHTML, like Gecko) Ubuntu/11.10 Chromium/18.0.1025.168 Chrome/18.0.1025.168 Safari/535.19

Steps to reproduce:

I use firefox normally, every so often when I restart firefox I end up with an empty profile


Actual results:

It seems every day a bad backup of my firefox profile set directory (.mozilla/firefox) is created as .mozilla/.backup.  Every so often when I restart firefox (say after a reboot), perhaps due to "unclean" (i.e. reboot without shutting down firefox first)?

no clue why this is happening, no idea how to debug.


Expected results:

my profile shouldn't be getting nuked.
(Reporter)

Comment 1

6 years ago
might be related to https://bugzilla.mozilla.org/show_bug.cgi?id=727370 but don't know.
Is your profile stored on a NFS volume or do you have something else that is special in your system ?
(Reporter)

Comment 3

6 years ago
fs is normal

spotter@dent:~$ stat -f .mozilla/
  File: ".mozilla/"
    ID: 4696c4719e35d4e4 Namelen: 255     Type: ext2/ext3
Block size: 4096       Fundamental block size: 4096
Blocks: Total: 18423639   Free: 2642043    Available: 1706157
Inodes: Total: 4685824    Free: 3685856

only thing I can think of that might be unique is that this is a machine from work that has to run symantec antivirus for linux, so conceptually I guess it can be getting in the way of something,
(Reporter)

Comment 4

6 years ago
.backup was created again yesterday, but a small size

spotter@dent:~$ ls -la .mozilla/
total 44
drwxr-xr-x   5 spotter spotter  4096 2012-07-16 14:56 .
drwxr-xr-x 191 spotter spotter 16384 2012-07-17 01:47 ..
drwx------   3 spotter spotter  4096 2012-07-16 14:56 .backup
drwx------   2 spotter spotter  4096 2012-07-09 15:36 extensions
drwx------   7 spotter spotter  4096 2012-07-08 09:26 firefox
-rw-r--r--   1 spotter spotter     3 2011-07-04 11:14 firefox.last-version
-rw-------   1 spotter spotter  6844 2010-04-09 06:26 pluginreg.dat

spotter@dent:~/.mozilla$ du -hsc *
4.0K	extensions
1.5G	firefox
4.0K	firefox.last-version
8.0K	pluginreg.dat
1.5G	total
I don't think that Firefox creates this ".backup"
We have no other reports about this and there is nothing that we can do if this can't be reproduced.
(Reporter)

Comment 6

6 years ago
you might be right, I have no clue why this is happening.  really very annoying.  If you say that its not firefox and something else, I trust you.
I' not 100% sure that this is not Firefox or I would close this report as invalid.
Firefox creates backups for the bookmark JSON file and you can access this backups via bookmark manager UI. This backups are stored in a directory called "bookmarkbackups" inside your profile. There is not other backup function that is creating this files as far as I know.

I also didn't see other reports about this issue on linux in the past years.
Is there for example a backup cron job running that could cause this?
(Reporter)

Comment 8

6 years ago
cronjob was my first instinct, didnt see anything that seemed to indicate it.
Hi Shaya, it's been a while since anyone looked into this issue, sorry about that! Are you still finding that this file is created with more recent versions of Firefox? If not, I'd like to close the bug.  Thanks!
Flags: needinfo?(spotter)

Comment 10

3 years ago
Almost two years passed, so closing, at least for now.  Please reopen, if you think there is a reason to.
Status: UNCONFIRMED → RESOLVED
Last Resolved: 3 years ago
Flags: needinfo?(spotter)
Resolution: --- → INCOMPLETE
You need to log in before you can comment on or make changes to this bug.